Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class TaskResponseStatusEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.TaskResponseStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class TaskResponseStatusEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `TaskResponseStatus` elements.

See Also:
  Serialized Form

Field Summary
`static TaskResponseStatus` | `ACCEPT`
`static TaskResponseStatus` | `DECLINE`
`static TaskResponseStatus` | `NONE`
`static int` | `NUM_ELEMENTS`
`static TaskResponseStatus` | `RECEIVED`
`static TaskResponseStatus` | `UPDATE`
`static int` | `VALUE_ACCEPT`
`static int` | `VALUE_DECLINE`
`static int` | `VALUE_NONE`
`static int` | `VALUE_RECEIVED`
`static int` | `VALUE_UPDATE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `TaskResponseStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `TaskResponseStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NONE

    public static final int VALUE_NONE

See Also:
  Constant Field Values

### VALUE_RECEIVED

    public static final int VALUE_RECEIVED

See Also:
  Constant Field Values

### VALUE_ACCEPT

    public static final int VALUE_ACCEPT

See Also:
  Constant Field Values

### VALUE_DECLINE

    public static final int VALUE_DECLINE

See Also:
  Constant Field Values

### VALUE_UPDATE

    public static final int VALUE_UPDATE

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### NONE

    public static final TaskResponseStatus NONE

### RECEIVED

    public static final TaskResponseStatus RECEIVED

### ACCEPT

    public static final TaskResponseStatus ACCEPT

### DECLINE

    public static final TaskResponseStatus DECLINE

### UPDATE

    public static final TaskResponseStatus UPDATE

Constructor Detail

### TaskResponseStatusEnum

    protected TaskResponseStatusEnum(java.lang.Class elementClass,
                                     int iNumElements,
                                     com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                     EnumElement defaultElement,
                                     java.lang.String sInternalName,
                                     boolean bMaskable)

  Constructor.

### TaskResponseStatusEnum

    protected TaskResponseStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.